

function _vyhodnot() {


	var _fObj	= document.getElementById('fId');



	var i=0;
	var _cObj;
	
	var _divChildNodes = _getChildNodesByName(_fObj, "DIV");

	var _goodAnswers = 0;

	var _goodPoints = 0;
	var _totalPoints = 0;


	while (_cObj = _divChildNodes[i]) {

		// type  question 
		var _type = _cObj.getAttribute('_type');
	

		// points  question 
		var _points = parseFloat(_cObj.getAttribute('_points'));
		_totalPoints += _points;

		// correct 
		var _correct = _cObj.getAttribute('_correct');

		var _qBody = _getChildNodesByName(_cObj, "DIV")[1];

		var _asObj = _getChildNodesByName(_qBody, "DIV")[1];

		var _incNote = _getChildNodesByName(_qBody, "DIV")[2];

		var _cNote = _getChildNodesByName(_qBody, "DIV")[3];

		var _good;

        if (_type < 3) {
            _checked = _getCheckedAnswersId(_asObj);

            var _imChecked = _implode(_checked.sort(), ':');
            var _sortCorrect = _implode(_explode(_correct, ':').sort(), ':');


            _good = (_imChecked == _sortCorrect) ? true : false;
        } else if (_type == 3) {

            _textEntries = _getTextEntryAnswers(_asObj);

            var _imAnswers = _implode(_textEntries, ':');


            _good = (_imAnswers == _correct) ? true : false;
        }

		_cNote.style.display = 'none';
		_incNote.style.display = 'none';
		if (_good) {
			_cNote.style.display = 'block';
			_setQuestionDisabled(_cObj, _type);
			_goodPoints += _points;
			_goodAnswers++;
		} else {
			_incNote.style.display = 'block';
		}

		i++;
	}

	_result = document.getElementById("result");
	_result.innerHTML = _getScoreText(_lang, _goodAnswers, i, _goodPoints, _totalPoints);
			
	window.scroll(0,0);

}

function _getScoreText(_lang, _goodAnswers, _questions, _goodPoints, _totalPoints) {

	var _text;

	switch (_lang) {
		case "sk":

					_text =	"Počet správnych odpovedí: " + _setBold(_goodAnswers) + " z celkového počtu " + _setBold(_questions) + ".<br>" + 
							"Počet bodov: " + _setBold(_goodPoints) + " z celkového počtu " + _setBold(_totalPoints) + ".<br>" + 
							"Percentuálna uspešnosť: " + _setBold(Math.round(_goodPoints / _totalPoints * 100) + "%") + ".";
					break;
		default:

					_text = "Correct answers: " + _setBold(_goodAnswers) + "/" + _setBold(_questions) + "<br>" + 
							"Points: " + _setBold(_goodPoints) + "/" + _setBold(_totalPoints) + "<br>" + 
							"Score: " + _setBold(Math.round(_goodPoints / _totalPoints * 100) + "%");


	} 

	return _text;
}

function _setBold(_text) {
	return "<span style='font-weight:bold;'>" + _text + "</span>";
}

function _getChildNodesByName(_node, _name) {

	var _childNodes = new Array();
	var _allChildNodes = _getChildNodes(_node);

	for (var i=0; i<_allChildNodes.length ; i++) {
		if (_allChildNodes[i].nodeName == _name) {
			_childNodes[_childNodes.length] = _allChildNodes[i];
		}
	}

	return _childNodes;
}

function _getChildNodes(_node) {
	return _node.childNodes;
}


function _setQuestionDisabled(_cObj, _type) {
	
	var _hObj = _getChildNodesByName(_cObj, "DIV")[0];
	var _qBody = _getChildNodesByName(_cObj, "DIV")[1];
	var _asObj = _getChildNodesByName(_qBody, "DIV")[1];
	var _asAnswObj = _getChildNodesByName(_qBody, "DIV")[2];

	_cObj.className = "assessQuestionOk";
	_hObj.className = "assessQuestionHeaderOk";
	_qBody.className = "assessQuestionBodyOk";
	_asObj.className = "assessQuestionAnswersOk";
//	_asAnswObj.className = "assessQuestionaAnswersOk";

    if (_type < 3) {
        var j=0;

        while (_aObj = _getChildNodesByName(_asObj,"DIV")[j]) {

            if (_input = _getChildNodesByName(_aObj, "INPUT")[0]) {
                _input.disabled = true;
            }

            j++;
        }
    } else if (_type == 3) {
        var j = 0;
        _aDiv = _getChildNodesByName(_asObj, "DIV")[0];

        while (_span = _getChildNodesByName(_aDiv, "SPAN")[j]) {

            if (_input = _getChildNodesByName(_span, "INPUT")[0]) {
                _input.disabled = true;
            }

            j++;
        }

    }

}

function _getCheckedAnswersId(_answersObj) {

	var j = 0;
	var _checked = new Array();


	while (_aObj = _getChildNodesByName(_answersObj,"DIV")[j]) {

		if (_input = _getChildNodesByName(_aObj, "INPUT")[0]) {

			if (_input.checked) {
				
				_checked[_checked.length] = _input.getAttribute('_id');
			}
		}

		j++;		
	}

	return _checked;
}

function _getTextEntryAnswers(_answrsObj) {

    var j = 0;
    var _textEntries = new Array();

    _aDiv = _getChildNodesByName(_answrsObj, "DIV")[0]

	while (_span = _getChildNodesByName(_aDiv, "SPAN")[j]) {

        if (_input = _getChildNodesByName(_span, "INPUT")[0]) {

            if (_input.value) {

                _textEntries[_textEntries.length] = _input.value;
            }
        }

		j++;
	}

	return _textEntries;

} 

function _implode(_array, _glue) {

	var _aLen	= _array.length;
	var _str	= _array[0];

	if(_aLen < 1)	return '';
	
	for(_i=1; _i<_aLen; _i++) {
	
		_str	= _str + _glue + _array[_i];
	}
	
	return	_str;
}

function _explode(_string, _glue) {

	var _array	= new Array();
    var _strlen	= _string.length;
	var _curPos	= 0;
	var _newPos	= 0;

	while(_newPos < _strlen) {

		_newPos	= _string.indexOf(_glue, _curPos);
		
		if(_newPos != -1) {

			_array[_array.length] = _string.substring(_curPos, _newPos);
			_curPos = _newPos + 1;

		} else {
		
			_array[_array.length] = _string.substr(_curPos);
			break;
		}
	}
	return _array;
}